Bug 1275236 - [abrt] epiphany: _dbus_abort(): epiphany-search-provider killed by SIGABRT
[abrt] epiphany: _dbus_abort(): epiphany-search-provider killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6b6d211c55af45ee463fe4c7f39...
: Reopened
: 1302869 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 06:26 EDT by Yajo
Modified: 2016-12-20 10:09 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:09:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.30 KB, text/plain)
2015-10-26 06:26 EDT, Yajo
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-26 06:26 EDT, Yajo
no flags Details
File: core_backtrace (3.50 KB, text/plain)
2015-10-26 06:26 EDT, Yajo
no flags Details
File: dso_list (13.96 KB, text/plain)
2015-10-26 06:26 EDT, Yajo
no flags Details
File: environ (919 bytes, text/plain)
2015-10-26 06:26 EDT, Yajo
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-26 06:26 EDT, Yajo
no flags Details
File: maps (54.87 KB, text/plain)
2015-10-26 06:26 EDT, Yajo
no flags Details
File: mountinfo (3.71 KB, text/plain)
2015-10-26 06:26 EDT, Yajo
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-26 06:26 EDT, Yajo
no flags Details
File: open_fds (776 bytes, text/plain)
2015-10-26 06:26 EDT, Yajo
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-10-26 06:26 EDT, Yajo
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-10-26 06:26 EDT, Yajo
no flags Details

  None (edit)
Description Yajo 2015-10-26 06:26:17 EDT
Version-Release number of selected component:
epiphany-3.16.3-2.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/epiphany-search-provider
crash_function: _dbus_abort
executable:     /usr/libexec/epiphany-search-provider
global_pid:     5246
kernel:         4.1.7-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #2 _dbus_abort at dbus-sysdeps.c:91
 #3 _dbus_warn_check_failed at dbus-internals.c:275
 #4 dbus_watch_handle at dbus-watch.c:706
 #5 dispatch_func at glib-watch.c:339
 #9 g_main_context_iteration at gmain.c:3869
 #10 g_application_run at gapplication.c:2308
Comment 1 Yajo 2015-10-26 06:26:23 EDT
Created attachment 1086443 [details]
File: backtrace
Comment 2 Yajo 2015-10-26 06:26:24 EDT
Created attachment 1086444 [details]
File: cgroup
Comment 3 Yajo 2015-10-26 06:26:26 EDT
Created attachment 1086445 [details]
File: core_backtrace
Comment 4 Yajo 2015-10-26 06:26:28 EDT
Created attachment 1086446 [details]
File: dso_list
Comment 5 Yajo 2015-10-26 06:26:29 EDT
Created attachment 1086447 [details]
File: environ
Comment 6 Yajo 2015-10-26 06:26:31 EDT
Created attachment 1086448 [details]
File: limits
Comment 7 Yajo 2015-10-26 06:26:33 EDT
Created attachment 1086449 [details]
File: maps
Comment 8 Yajo 2015-10-26 06:26:35 EDT
Created attachment 1086450 [details]
File: mountinfo
Comment 9 Yajo 2015-10-26 06:26:36 EDT
Created attachment 1086451 [details]
File: namespaces
Comment 10 Yajo 2015-10-26 06:26:38 EDT
Created attachment 1086452 [details]
File: open_fds
Comment 11 Yajo 2015-10-26 06:26:39 EDT
Created attachment 1086453 [details]
File: proc_pid_status
Comment 12 Yajo 2015-10-26 06:26:41 EDT
Created attachment 1086454 [details]
File: var_log_messages
Comment 13 Michael Catanzaro 2016-01-28 18:13:07 EST

*** This bug has been marked as a duplicate of bug 1302869 ***
Comment 14 Michael Catanzaro 2016-01-28 18:14:40 EST
*** Bug 1302869 has been marked as a duplicate of this bug. ***
Comment 15 Michael Catanzaro 2016-01-28 18:20:47 EST
Seems to be a bug in glib-watch.c:

#3  0x00007fa099593e9e in _dbus_warn_check_failed (format=format@entry=0x7fa0995a3a28 "Watch is invalid, it should have been removed\n") at dbus-internals.c:275
        args = {{gp_offset = 8, fp_offset = 48, overflow_arg_area = 0x7ffffa2fc970, reg_save_area = 0x7ffffa2fc8a0}}
#4  0x00007fa099592cee in dbus_watch_handle (watch=0xf5e260, flags=1) at dbus-watch.c:706
        __func__ = "dbus_watch_handle"
#5  0x00007fa09936963e in dispatch_func (source=<optimized out>, callback=<optimized out>, userdata=<optimized out>) at glib-watch.c:339
        g = <optimized out>
        w = 0xf5ee70
        next_timeout = 0x0
        __func__ = "dispatch_func"
        __PRETTY_FUNCTION__ = "dispatch_func"

I got confused trying to find glib-watch.c; turns out it is part of avahi. I am perhaps less surprised than I should be that that is running in the search provider.
Comment 16 Fedora End Of Life 2016-11-24 07:55:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 10:09:50 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.